#include <algorithm>
#include <iostream>
#include <fstream>
#include <sstream>
#include <iomanip>
#include <cstdlib>
#include <vector>

using namespace std;

const int tests_start = 6;

ofstream out;
int current_test;

void new_test()
{
    if (current_test >= tests_start) out.close();
    current_test++;
    ostringstream ss;
    ss << setfill('0') << setw(2) << current_test;
    out.open(ss.str().c_str());
    cout << ss.str() << endl;
}

void gen_random_test(int n, int m)
{
    new_test();
    out << n << " " << m << endl;
    for (int sc = 0; sc < m; sc++) {
        int i = rand() % n;
        int j = i;
        while (j == i) j = rand() % n;
        out << rand()%10000 + 1 << " " << rand()%10000 + 1 << " " << i+1 << " " << j+1 << endl;
    }
}

void main()
{
    current_test = tests_start - 1;
    srand(84268412);
    gen_random_test(2, 3);
    gen_random_test(2, 4);
    gen_random_test(2, 5);
    gen_random_test(3, 6);
    gen_random_test(3, 7);
    gen_random_test(3, 10);
    gen_random_test(4, 10);
    gen_random_test(4, 20);
    gen_random_test(2, 10000);
    gen_random_test(3, 10000);
    gen_random_test(10, 10000);
    gen_random_test(100, 10000);
    gen_random_test(10000, 10000);
}
