#include <algorithm>
#include <iostream>
#include <fstream>
#include <sstream>
#include <iomanip>
#include <cstdlib>
#include <cassert>
#include <vector>

using namespace std;

const int maxn = 10000;

int a[maxn], b[maxn], p[maxn], q[maxn];

int main()
{
    freopen("input.txt" ,"r", stdin); freopen("output.txt", "w", stdout);

    int n, m;

    cin >> n >> m;
    assert(2 <= n && n <= 10000);
    assert(2 <= m && m <= 10000);
    for (int i = 0; i < m; i++) {
        cin >> a[i] >> b[i] >> p[i] >> q[i];
        assert(1 <= a[i] && a[i] <= 10000);
        assert(1 <= b[i] && b[i] <= 10000);
        assert(1 <= p[i] && p[i] <= n);
        assert(1 <= q[i] && q[i] <= n);
        assert(p[i] != q[i]);
    }

    int ans = 0;
    for (int i = 0; i < m; i++) {
        for (int j = i+1; j < m; j++) {
            if (p[i] == q[j] && p[j] == q[i]) {
                int profit = min(a[i]-b[j], a[j]-b[i]);
                if (profit > ans) ans = profit;
            }
        }
    }

    cout << ans << endl;

    fclose(stdin); fclose(stdout);
    return 0;
}
